Loading...
Searching...
No Matches
Gudhi::coxeter_triangulation::Function_whitney_umbrella_in_R3 Class Reference

A class that encodes the function, the zero-set of which is the Whitney umbrella surface embedded in R^3. More...

`#include <include/gudhi/Functions/Function_whitney_umbrella_in_R3.h>`

## Public Member Functions

Eigen::VectorXd | operator() (const Eigen::VectorXd &p) const
| Value of the function at a specified point.
std::size_t | amb_d () const
| Returns the (ambient) domain dimension.
std::size_t | cod_d () const
| Returns the codomain dimension.
Eigen::VectorXd | seed () const
| Returns a point on the surface. This seed point is only one of two necessary seed points for the manifold tracing algorithm. See the method seed2() for the other point.
Eigen::VectorXd | seed2 () const
| Returns a point on the surface. This seed point is only one of two necessary seed points for the manifold tracing algorithm. See the method seed() for the other point.
| Function_whitney_umbrella_in_R3 (Eigen::Vector3d off=Eigen::Vector3d::Zero())
| Constructor of the function that defines the Whitney umbrella in R^3.

## Detailed Description

A class that encodes the function, the zero-set of which is the Whitney umbrella surface embedded in R^3.

## Constructor & Destructor Documentation

## Function_whitney_umbrella_in_R3()

Gudhi::coxeter_triangulation::Function_whitney_umbrella_in_R3::Function_whitney_umbrella_in_R3 | ( | Eigen::Vector3d | off = Eigen::Vector3d::Zero() | ) |

inline

Constructor of the function that defines the Whitney umbrella in R^3.

Parameters

  [in] | off | Offset vector.

## Member Function Documentation

## operator()()

Eigen::VectorXd Gudhi::coxeter_triangulation::Function_whitney_umbrella_in_R3::operator() | ( | const Eigen::VectorXd & | p | ) | const

inline

Value of the function at a specified point.

Parameters

  [in] | p | The input point. The dimension needs to coincide with the ambient dimension.

The documentation for this class was generated from the following file:

- include/gudhi/Functions/Function_whitney_umbrella_in_R3.h